Release a work order from hold
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/unhold \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/unhold"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/unhold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"work_order_number": "<string>",
"status": "<string>",
"is_on_hold": true,
"produced_sku_id": 123,
"produced_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"expected_completion_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"production_warehouse_id": 123,
"production_warehouse": {
"id": 123,
"name": "<string>"
},
"destination_warehouse_id": 123,
"destination_warehouse": {
"id": 123,
"name": "<string>"
},
"vendor_id": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"bom_id": 123,
"service_unit_price": 123,
"notes": "<string>",
"hold_reason": "<string>",
"cancel_reason": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_by": 123,
"held_by": 123,
"production_batch_id": 123,
"steps": [
{
"id": 123,
"work_order_id": 123,
"sequence": 123,
"status": "<string>",
"output_sku_id": 123,
"output_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"completed_qty": 123,
"is_outside_processing": true,
"supply_mode": "<string>",
"vendor_id": 123,
"skipped_at": "2023-11-07T05:31:56Z",
"skipped_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"custom_fields": {},
"alternate_ids": [
"<string>"
],
"links": {
"self": "<string>",
"steps": "<string>",
"completions": "<string>",
"production_entries": "<string>",
"status_history": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Work Orders
Release a work order from hold
Release a work order from hold, returning it to its prior status. Returns the updated work order.
POST
/
work-orders
/
{workOrderId}
/
unhold
Release a work order from hold
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the work order to release from hold.
Response
Successful response
Show child attributes
Show child attributes
⌘I